using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

namespace Mahjong
{
    public class HandObject : MonoBehaviour
    {
        [SerializeField] private Image image;
        public HandType type;
        public void UpdateType(HandType type)
        {
            this.type = type;
            image.sprite = GameManager.Instance.Table.GetSpriteof(type);
        }

        public void RotateIntoLeft()
        {
            this.GetComponent<RectTransform>().rotation = Quaternion.Euler(0, 0, 90);
        }
    }
}
